Bug 820067 - Install guide refers to kickstart option that no longer exists
Install guide refers to kickstart option that no longer exists
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Petr Bokoc
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 00:23 EDT by Daniel Dekok
Modified: 2013-07-31 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 10:13:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Dekok 2012-05-09 00:23:04 EDT
Description of problem:

The s1-kickstart2-options.html has the following in a breakout box:
---------
How to manually input network settings

If you need to manually specify network settings during an otherwise-automated kickstart installation, do not use network. Instead, boot the system with the asknetwork option (refer to Section 15.10, “Starting a Kickstart Installation”), which will prompt anaconda to ask you for network settings rather than use the default settings. anaconda will ask this before fetching the kickstart file.
Once the network connection is established, you can only reconfigure network settings with those specified in your kickstart file. 

---------

However the asknetwork method no longer exists in fc17 dracut (it reports a message that its depreciated and ignored and continues the install) making this method unusable.  Dracut has a 'ip=' kernel command line option that replaces some of the functionality, but not sure if its used in the same way.   

A alternative method that works would be better.
Comment 1 Jack Reed 2012-11-05 19:23:26 EST
Thanks for reporting this, Daniel. I've removed asknetwork from that admonition but am still directing users to "Starting a Kickstart Installation" as it contains all the boot options they need to configure their network settings.

See http://git.fedorahosted.org/cgit/docs/install-guide.git/commit/?id=8d24a578d18622e5f13badf51cffd87c201b4924

Note You need to log in before you can comment on or make changes to this bug.